<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')->hourly();
        // $schedule->call('App\Http\Controllers\Web\CronController@cron')->dailyAt('12:00');
        // $schedule->call('App\Http\Controllers\Web\CronController@cron')->everyMinute();
        $schedule->call('App\Http\Controllers\Web\CronController@DeadlineReminder')->timezone('Asia/Dubai')->dailyAt('12:00');
        $schedule->call('App\Http\Controllers\Web\CronController@DailyReminder')->timezone('Asia/Dubai')->dailyAt('12:00');
        $schedule->call('App\Http\Controllers\Web\CronController@TargetNotMetAlarm')->timezone('Asia/Dubai')->dailyAt('12:00');
        $schedule->command('queue:work --stop-when-empty')->everyMinute();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
